Skip to main content
POST
/
api
/
v1
/
brief-forms
/
assignments
Create Assignment
curl --request POST \
  --url https://api.example.com/api/v1/brief-forms/assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category": "<string>",
  "form_version": 123,
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_type": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "form_version": 123,
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Assign a form to a category/task_type.

form_id
string<uuid>
required
category
string
required
Required string length: 1 - 50
form_version
integer | null

NULL = always latest; set to pin a specific version

team_id
string<uuid> | null

NULL = account-level default

task_type
string | null

NULL = entire category

Maximum string length: 50

Response

Successful Response

An assignment linking a form to a task type.

id
string<uuid>
required
form_id
string<uuid>
required
user_id
string<uuid>
required
category
string
required
is_active
boolean
required
created_at
string<date-time>
required
form_version
integer | null
team_id
string<uuid> | null
task_type
string | null